## picopore 1.2.0

=== requirements.txt ===
h5py>2.2.0
watchdog
future

=== debian/changelog ===
picopore (1.2.0-2) unstable; urgency=medium

  [ Steffen Möller ]
  * Set group maintenance

  [ Andreas Tille ]
  * Synopsis, install README, copyright times
  * Add manpages
  * Section: python
  * Add upstream metadata
  * yamllint

  [ Nilesh Patra ]
  * Add myself to uploaders
  * Remove un-needed uupdate
  * Add autopkgtests
  * debhelper-compat 13 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Nilesh Patra <npatra974@gmail.com>  Wed, 30 Sep 2020 17:52:39 +0530

picopore (1.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #962373)

 -- Steffen Moeller <moeller@debian.org>  Sun, 07 Jun 2020 00:24:00 +0200

=== debian/control ===
Source: picopore
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>, Nilesh Patra <npatra974@gmail.com>
Build-Depends: debhelper-compat (= 13), dh-python,
               python3-setuptools, python3-all,
               python3-h5py,
               python3-watchdog,
               hdf5-tools
Standards-Version: 4.5.0
Homepage: https://github.com/scottgigante/picopore
Vcs-Browser: https://salsa.debian.org/med-team/picopore
Vcs-Git: https://salsa.debian.org/med-team/picopore.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: picopore
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends},
         python3-picopore
Description: lossless compression of Nanopore files
 The Nanopore is a device to determine the sequences of single moleculres
 of DNA. No amplification. The output is gigantic and tools like this
 one help to reduce it.
 .
 Over time, other means have substitute the need for this one. Upstream
 has halted development. Some tutorials and pipelines of the Nanopore still
 refer to it, though.

Package: python3-picopore
Architecture: all
Section: python
Depends: ${python3:Depends}, ${misc:Depends},
         hdf5-tools
Description: lossless compression of Nanopore files (Python3 module)
 The Nanopore is a device to determine the sequences of single moleculres
 of DNA. No amplification. The output is gigantic and tools like this
 one help to reduce it.
 .
 Over time, other means have substitute the need for this one. Upstream
 has halted development. Some tutorials and pipelines of the Nanopore still
 refer to it, though.
 .
 This package provides the Python3 module accompanying the picopore
 executables.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export PYBUILD_NAME=picopore

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	mkdir -p $(CURDIR)/debian/picopore/usr
	mv $(CURDIR)/debian/python3-picopore/usr/bin $(CURDIR)/debian/picopore/usr/

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%picopore-$1.tar.gz%" \
   https://github.com/scottgigante/picopore/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
